<?php get_header(); ?>

        <div id="container">
            <div id="content" role="main">
            <?php
            // Current Taxonomy
            $objCT = get_queried_object();
            
            // Page to render
            $paged = (get_query_var('page')) ? get_query_var('page') : 1;
            
            // Args
            $arrArgs = array(
                'post_type' => 'book',
                'tax_query' => array(
                                array('taxonomy' => 'genre',
                                      'field' => 'id',
                                      'terms' => $objCT->term_id
                                     )
                                ),
                'posts_per_page' => 1,
                'paged' => $paged
                );
            
            // The Loop
            $original_query = $wp_query;
            $wp_query = null;
            $wp_query = new WP_Query($arrArgs);
            
            while (have_posts()): the_post();
            ?>
                <h1><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h1>
            <?php
            endwhile;
            
            // Navigation
            twentyeleven_content_nav('content');

            // Reset Post Data
            $wp_query = null;
            $wp_query = $original_query;            
            wp_reset_postdata();
            ?>
            </div><!-- #content -->
        </div><!-- #container -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>